## ShellNetworkAgent ShellNetworkAgent |

## Functions

void | shell_network_agent_set_password ()
void | shell_network_agent_respond ()

## Signals

void | cancel-request |
void | new-request |

## Types and Values

enum | ShellNetworkAgentResponse
#define | SHELL_KEYRING_UUID_TAG
#define | SHELL_KEYRING_SN_TAG
#define | SHELL_KEYRING_SK_TAG

## Object Hierarchy

        GEnum
        ╰── ShellNetworkAgentResponse
        GObject
        ╰── NMSecretAgent
            ╰── ShellNetworkAgent

## Description

## Functions

### shell_network_agent_set_password ()

    void
    shell_network_agent_set_password (ShellNetworkAgent *self,
                                      gchar *request_id,
                                      gchar *setting_key,
                                      gchar *setting_value);

### shell_network_agent_respond ()

    void
    shell_network_agent_respond (ShellNetworkAgent *self,
                                 gchar *request_id,
                                 ShellNetworkAgentResponse response);

## Types and Values

### enum ShellNetworkAgentResponse

#### Members

SHELL_NETWORK_AGENT_CONFIRMED |  |
SHELL_NETWORK_AGENT_USER_CANCELED |  |
SHELL_NETWORK_AGENT_INTERNAL_ERROR |  |

### SHELL_KEYRING_UUID_TAG

    #define SHELL_KEYRING_UUID_TAG "connection-uuid"

### SHELL_KEYRING_SN_TAG

    #define SHELL_KEYRING_SN_TAG "setting-name"

### SHELL_KEYRING_SK_TAG

    #define SHELL_KEYRING_SK_TAG "setting-key"

## Signal Details

### The `“cancel-request”` signal

    void
    user_function (ShellNetworkAgent *shellnetworkagent,
                   gchar             *arg1,
                   gpointer           user_data)

### The `“new-request”` signal

    void
    user_function (ShellNetworkAgent *shellnetworkagent,
                   gchar             *arg1,
                   NMConnection      *arg2,
                   gchar             *arg3,
                   GStrv              arg4,
                   gint               arg5,
                   gpointer           user_data)